PATCH/payments/requests/{id}

Update

Updates the payment request resource

Parameters

Path Parameters

NameType
idrequired
string (uuid)

Request Body

required
object

Request with information to update a payment request

amountnumber

Requested amount

descriptionstring

Payment description

callbackUrlsobject

Redirect urls after the payment was completed or ended in error status

successstring

Url to be redirected after the payment was completed

pendingstring

Url to be redirected when the payment is pending (for example, when it has status WAITING_PAYER_AUTHORIZATION

errorstring

Url to be redirected after the payment ended in error status

recipientIdstring (uuid)

Payment receiver identifier

customerIdstring (uuid)

Customer identifier associated to the payment

clientPaymentIdstring

Your payment identifier

isSandboxboolean

Indicates if this payment request should be updated as sandbox. Default: false.

Default: false

Example

json
{
  "amount": 100.5,
  "description": "Transferência",
  "callbackUrls": null,
  "recipientId": "05c693bf-c196-47ea-a28c-8251d6bb8a06",
  "customerId": "5e9f8f8f-f8f8-4f8f-8f8f-8f8f8f8f8f8f",
  "clientPaymentId": "external-ref-456",
  "isSandbox": false
}

Responses

200Update a payment request.
object

Request with information to create a payment request

amountrequirednumber

Requested amount

descriptionstring

Payment description

callbackUrlsobject

Redirect urls after the payment was completed or ended in error status

successstring

Url to be redirected after the payment was completed

pendingstring

Url to be redirected when the payment is pending (for example, when it has status WAITING_PAYER_AUTHORIZATION

errorstring

Url to be redirected after the payment ended in error status

recipientIdstring (uuid)

Payment receiver identifier

customerIdstring (uuid)

Customer identifier associated to the payment

clientPaymentIdstring

Your payment identifier

schedulestring | null

Default: null

One of:
option 1object

Schedule attribute to generate a single payment on a specific future date.

option 2object

Schedule attribute to generate daily payments starting from `startDate`.

option 3object

Schedule attribute to generate weekly payments on a specific day of the week.

option 4object

Schedule attribute to generate monthly payments on a specific day of the month.

option 5object

Schedule attribute to generate payments on an explicit list of dates.

isSandboxboolean

Indicates if this payment request should be created in sandbox mode. Default: false.

Default: false

Example response

json
{
  "amount": 100.5,
  "description": "Transferência",
  "isSandbox": false
}

Code Examples

bash
curl -X PATCH 'https://api.pluggy.ai/payments/requests/{id}' \
  -H 'Content-Type: application/json' \
  -H 'X-API-KEY: YOUR_API_KEY' \
  -d '{}'

Try It

Path Parameters